@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    margin: 0 auto;
    background-color: #9C89B8;
    font-family: 'Press Start 2P', cursive;
    text-align: center;
}

a { text-decoration: none; }

.welcome-text {
    display: inline-block;
    color: #F0E6EF;
    line-height: 1.75;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 5px;
    padding: 40px;
}

.welcome-text p { font-size: 32px; }

.welcome-text h1 {
    overflow: hidden;
    border-right: .15em solid #FFFFFF;
    white-space: nowrap;
    animation: 
        typing 3s steps(40, end) forwards,
        blink-caret .70s step-end infinite;
}

@keyframes typing {
    from { width: 0; }
    to { width: 100%; }
}

@keyframes blink-caret {
    from, to { border-color: transparent; }
    50% { border-color: #FFFFFF; }
}

h3 {
    color: #FFFFFF;
    padding: 20px 0 60px;
}

.buttons {
    height: 250px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
}

.buttons img {
    width: 100%;
    max-width: 120px;
}

button {
    border: 0;
}

.btn {
    width: 220px;
    height: 220px;
    background-color: #3C1642;
    border-radius: 50%;
}

.btn:hover,
.btn:active {
    background-color: #EFC3E6;
    transform: translateY(10px);
    box-shadow: 2px 5px #F0A6CA;
    cursor: pointer;
}

.game-result {
    width: 700px;
    padding: 18px 0;
    margin: 50px auto;
    border: 5px dashed #FFFFFF;
    border-radius: 20px;
}

.game-result p {
    font-size: 16px;
    color: #3C1642;
}

.score-card {
    display: flex;
    justify-content: center;
    gap: 200px;
}

.score-card p {
    line-height: 3;
    font-size: 18px;
    color: #FFFFFF;
}
